package org.xyzh.ai;

import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@EnableDubbo  // 启用 Dubbo 服务
@ComponentScan(basePackages = {
    "org.xyzh.ai",            // 当前ai模块
    "org.xyzh.common"          // 公共模块
})
public class AiApp {
    private static final Logger logger = LoggerFactory.getLogger(AiApp.class);
    
    public static void main(String[] args) {
        logger.info("======================== AI服务启动中 =========================");
        SpringApplication.run(AiApp.class, args);
        logger.info("======================== AI服务启动完成 =========================");
    }
}